Status: Resolved Priority: Must have
Author: Irene Höppner Category: ViewHelpers
Updated: 2010-10-20 Due date: 2010-06-18
Has patch:
Subject: Putting form fields in a partial causes error
Description

You often have the same form-fields in a new-template like in an edit-template. So I would like to put them into a partial which is used
in the new-form and in the edit-form.
The form-tag itself would stay in the different templates.

So a partial could look like this:

<label for="titel">Titel/Tätigkeit:</label><br />
<f:form.textbox property="titel" size="70" id="titel" /><br />
<label for="personentage">Personentage:</label><br />
<f:form.textbox property="personentage" size="5" id="personentage" /><br />

Being included like this:

<f:form method="post" action="createOhneProjekt" object="{newAuftrag}" name="newAuftrag">
    <f:form.hidden name="kunde" value="{kunde}" />
        <f:render partial="auftragNewEditFormPart" arguments="{newAuftrag: newAuftrag}"/>    
    <f:form.submit value="Auftrag Anlegen" />
</f:form>

This results to the exception: #1243325768: No value found for key "F3\Fluid\ViewHelpers\FormViewHelper->formName"

Related issues:
duplicated by TYPO3.Fluid - Bug # 7882: wrong section rendering with <f.form.... Closed 2010-05-24

Associated revisions
Revision beaa7a25 - 2010-06-18 11:11 - Sebastian Kurfuerst

[+BUGFIX] Fluid (Core): Putting form fields in partial now works as expected. Resolves #4277.

History
#1 - 2009-08-31 15:29 - Sebastian Kurfuerst
- File Fluid-4277.patch added
- Status changed from New to Needs Feedback

Please check if the attached patch solves the issue.
#2 - 2009-09-14 19:57 - Irene Höppner

It works :-))

thx!

#3 - 2009-09-15 19:33 - Sebastian Kurfuerst
- Category set to ViewHelpers
- Status changed from Needs Feedback to Accepted
- Assigned To set to Sebastian Kurfuerst
- Priority changed from Should have to Must have

I'll fix this.

#4 - 2010-04-08 15:44 - Sebastian Kurfuerst

[mustfixthis] until book release

#5 - 2010-04-09 20:56 - Peter Niederlag

just ran into this one as well ...

#6 - 2010-06-18 10:16 - Sebastian Kurfuerst
- Due date set to 2010-06-18
- Start date changed from 2009-08-20 to 2010-06-18

create v5 selenium test

#7 - 2010-06-18 11:20 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

commmitted in r4595 for v5, and r2359 in v4.

Files
Fluid-4277.patch 1.6 kB 2009-08-31 Sebastian Kurfuerst
